import { Id } from '../id.interface';
import { Address } from './address.interface';
import { OtpState } from './otp-state.enum';
import { Owner } from './owner.interface';
export interface Customer extends Id {
    enabled?: boolean;
    code: string;
    identifier: string;
    name: string;
    companyName: string;
    passwordRevocationDelay: number;
    otp: OtpState;
    idp?: boolean;
    address: Address;
    internalCode?: string;
    language: string;
    emailDomains: string[];
    defaultEmailDomain: string;
    owners: Owner[];
    readonly: boolean;
    portalMessage?: string;
    portalTitle?: string;
    hasCustomGraphicIdentity: boolean;
    themeColors: {
        [key: string]: string;
    };
    tenantName?: string;
}
